/* 70-762 Lesson 10 Lab 3 - Connection 2 
---Using SQL Server Profiler and Extended Events Viewer to Capture Deadlock Information*/

USE WideWorldImporters;
GO

--Connection 2-----------------------------

BEGIN TRANSACTION;
	UPDATE Examples.LockingTable2
		SET Col2 = 'Bluetiful is the new Blue'
		WHERE col1 = 1;
	WAITFOR DELAY '00:00:05';
	UPDATE Examples.LockingTable1
		SET Col2 = 'Row 1 updated a second time'
		WHERE col1 = 1;

--The commit or rollback statement must be executed in the connection
--that won the deadlock----------------------------------
COMMIT TRANSACTION;

SELECT *
FROM Examples.LockingTable1;

SELECT *
FROM Examples.LockingTable2

/***************************************************/
-------Example 2------------------------------------
/*--Run SQL Server Profiler-----------------------*/
--Set up example again and execute with profiler running

----Connection 2-----------------------------------
BEGIN TRANSACTION;
	UPDATE Examples.LockingTable2
		SET Col2 = 'Bluetiful is the new Blue'
		WHERE col1 = 1;
	WAITFOR DELAY '00:00:05';
	UPDATE Examples.LockingTable1
		SET Col2 = 'Row 1 updated a second time'
		WHERE col1 = 1;

-------------------------------------------------------
-------------------------------------------------------
SELECT *
FROM Examples.LockingTable1;

SELECT *
FROM Examples.LockingTable2

COMMIT TRANSACTION

/***************************************************/
