USE [WideWorldImporters]
GO

DROP TABLE IF EXISTS Examples.LatestSpecialDeals;
GO

SELECT SpecialDealID
      ,StockItemID
      ,CustomerID
      ,BuyingGroupID
      ,CustomerCategoryID
      ,StockGroupID
      ,DealDescription
INTO Examples.LatestSpecialDeals
FROM Sales.SpecialDeals
GO

SELECT *
FROM Examples.LatestSpecialDeals;
GO

ALTER TABLE Examples.LatestSpecialDeals
ADD CONSTRAINT [PK_Examples_LatestSpecialDeals_SpecialDealID] PRIMARY KEY CLUSTERED (SpecialDealID); 
GO


DBCC SHOW_STATISTICS ('Examples.LatestSpecialDeals',PK_Examples_LatestSpecialDeals_SpecialDealID );
GO


UPDATE STATISTICS Examples.LatestSpecialDeals
WITH FULLSCAN;
GO

DBCC SHOW_STATISTICS ('Examples.LatestSpecialDeals',PK_Examples_LatestSpecialDeals_SpecialDealID );
GO