/*  70-762 Lesson 1 Inline Code */


--To move a data or log file follow these steps: 

--Set the database offline
ALTER DATABASE database_name SET OFFLINE;  
GO

--Move the file or files to the new location 
ALTER DATABASE database_name 
MODIFY FILE ( NAME = database_name_data, 
	   FILENAME = 'drive:\filepath\Data\database_name_data.mdf' );  
GO

--Move the log file to the new location 
ALTER DATABASE database_name 
MODIFY FILE ( NAME = database_name_log, 
	   FILENAME = 'drive:\filepath\Log\database_name_log.mdf' );  
GO

--Set database online 
ALTER DATABASE database_name SET ONLINE;
GO 
--Verify the file change location 
SELECT name, physical_name AS CurrentLocation, state_desc  
FROM sys.master_files  
WHERE database_id = DB_ID(N'<database_name>');
GO  

